> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quoteapprreason

> GenericMDOProvider reads MDO lists with default settings

## "quoteapprreason" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'quoteapprreason'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quoteapprreason
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quoteapprreason", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                 | StyleHint | ExtraInfo |
| -- | ------------------------------------ | --------- | --------- |
| 3  | Anything to make this customer happy |           |           |
| 1  | Go ahead                             |           |           |
| 2  | Only this time                       |           |           |
| 4  | Yes                                  |           |           |

## Related MDO Lists

* "quoteapprreasonheadings"
* "quoteapprreasonheadingswithallitem"
* "quoteapprreasonheadingswithallitemwithnoselection"
* "quoteapprreasonheadingswithnoselection"
* "quoteapprreasonwithallitem"
* "quoteapprreasonwithallitemwithnoselection"
* "quoteapprreasonwithnoselection"


## Related topics

- [QuoteApprReason table](/en/database/tables/quoteapprreason.md)
- [QuoteApprReasonHeadingLink table](/en/database/tables/quoteapprreasonheadinglink.md)
- [QuoteApprReasonGroupLink table](/en/database/tables/quoteapprreasongrouplink.md)
- [Get M D O List](/en/api/reference/restful/rest/list_quoteapprovereason/get-m-d-o-list.md)
- [List events](/en/automation/webhook/reference/list-events.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
